Logistic {base} | R Documentation

## The Logistic Distribution

### Description

Density, distribution function, quantile function and random generation for the logistic distribution with parameters `location` and `scale`.

### Usage

    dlogis(x, location = 0, scale = 1, log = FALSE)
    plogis(q, location = 0, scale = 1, lower.tail = TRUE, log.p = FALSE)
    qlogis(p, location = 0, scale = 1, lower.tail = TRUE, log.p = FALSE)
    rlogis(n, location = 0, scale = 1)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations to generate.
`location, scale` | location and scale parameters.
`log, log.p` | logical; if TRUE, probabilities p are given as log(p).
`lower.tail` | logical; if TRUE (default), probabilities are P[X <= x], otherwise, P[X > x].

### Details

If `location` or `scale` are omitted, they assume the default values of `0` and `1` respectively.

The Logistic distribution with `location` = m and `scale` = s has distribution function

F(x) = 1 / (1 + exp(-(x-m)/s))

and density

f(x) = 1/s exp((x-m)/s) (1 + exp((x-m)/s))^-2.

It is a long-tailed distribution with mean m and variance pi^2 /3 s^2.

### Value

`dlogis` gives the density, `plogis` gives the distribution function, `qlogis` gives the quantile function, and `rlogis` generates random deviates.

### Examples

    eps <- 100 * .Machine$double.eps
    x <- c(0:4, rlogis(100))
    all.equal(plogis(x),                 1 / (1 + exp(-x)), tol = eps)
    all.equal(plogis(x, lower=F),   exp(-x)/ (1 + exp(-x)), tol = eps)
    all.equal(plogis(x, lower=F, log=T), -log(1 + exp(x)),  tol = eps)
    all.equal(dlogis(x), exp(x) * (1 + exp(x))^-2, tol = eps)

    var(rlogis(4000, 0, s = 5))# approximately (+/- 3)
    pi^2/3 * 5^2

[Package Contents]